## GDataGContactWebsite

GDataGContactWebsite — gContact website element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGContactWebsite * | gdata_gcontact_website_new ()
const gchar * | gdata_gcontact_website_get_uri ()
void | gdata_gcontact_website_set_uri ()
const gchar * | gdata_gcontact_website_get_relation_type ()
void | gdata_gcontact_website_set_relation_type ()
const gchar * | gdata_gcontact_website_get_label ()
void | gdata_gcontact_website_set_label ()
gboolean | gdata_gcontact_website_is_primary ()
void | gdata_gcontact_website_set_is_primary ()

## Properties

gboolean | is-primary | Read / Write
gchar * | label | Read / Write
gchar * | relation-type | Read / Write
gchar * | uri | Read / Write

## Types and Values

#define | GDATA_GCONTACT_WEBSITE_HOME_PAGE
#define | GDATA_GCONTACT_WEBSITE_BLOG
#define | GDATA_GCONTACT_WEBSITE_PROFILE
#define | GDATA_GCONTACT_WEBSITE_HOME
#define | GDATA_GCONTACT_WEBSITE_WORK
#define | GDATA_GCONTACT_WEBSITE_OTHER
#define | GDATA_GCONTACT_WEBSITE_FTP
| GDataGContactWebsite
| GDataGContactWebsiteClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGContactWebsite

## Implemented Interfaces

GDataGContactWebsite implements GDataComparable.

## Includes

    #include <gdata/gcontact/gdata-gcontact-website.h>

## Description

GDataGContactWebsite represents a "website" element from the

gContact specification.

## Functions

### gdata_gcontact_website_new ()

    GDataGContactWebsite *
    gdata_gcontact_website_new (const gchar *uri,
                                const gchar *relation_type,
                                const gchar *label,
                                gboolean is_primary);

Creates a new GDataGContactWebsite. More information is available in the gContact specification.

Exactly one of `relation_type` and `label` should be provided; the other must be `NULL`.

#### Parameters

uri | the website URI |
relation_type | the relationship between the website and its owner, or `NULL` |
label | a human-readable label for the website, or `NULL`. | [allow-none]
is_primary | `TRUE` if this website is its owner's primary website, `FALSE` otherwise |

#### Returns

a new GDataGContactWebsite; unref with `g_object_unref()`

Since: 0.7.0

### gdata_gcontact_website_get_uri ()

    const gchar *
    gdata_gcontact_website_get_uri (GDataGContactWebsite *self);

Gets the “uri” property.

#### Parameters

self | a GDataGContactWebsite |

#### Returns

the URI of the website

Since: 0.7.0

### gdata_gcontact_website_set_uri ()

    void
    gdata_gcontact_website_set_uri (GDataGContactWebsite *self,
                                    const gchar *uri);

Sets the “uri” property to `uri` .

#### Parameters

self | a GDataGContactWebsite |
uri | the new website URI |

Since: 0.7.0

### gdata_gcontact_website_get_relation_type ()

    const gchar *
    gdata_gcontact_website_get_relation_type
                                   (GDataGContactWebsite *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGContactWebsite |

#### Returns

the website's relation type

Since: 0.7.0

### gdata_gcontact_website_set_relation_type ()

    void
    gdata_gcontact_website_set_relation_type
                                   (GDataGContactWebsite *self,
                                    const gchar *relation_type);

Sets the “relation-type” property to `relation_type` such as `GDATA_GCONTACT_WEBSITE_HOME_PAGE` or `GDATA_GCONTACT_WEBSITE_FTP`.

If `relation_type` is `NULL`, the relation type will be unset. When the GDataGContactWebsite is used in a query, however, exactly one of “relation-type” and “label” must be `NULL`.

#### Parameters

self | a GDataGContactWebsite |
relation_type | the new relation type for the website |

Since: 0.7.0

### gdata_gcontact_website_get_label ()

    const gchar *
    gdata_gcontact_website_get_label (GDataGContactWebsite *self);

Gets the “label” property.

#### Parameters

self | a GDataGContactWebsite |

#### Returns

the website's label, or `NULL`

Since: 0.7.0

### gdata_gcontact_website_set_label ()

    void
    gdata_gcontact_website_set_label (GDataGContactWebsite *self,
                                      const gchar *label);

Sets the “label” property to `label` .

If `label` is `NULL`, the label will be unset. When the GDataGContactWebsite is used in a query, however, exactly one of “relation-type” and “label” must be `NULL`.

#### Parameters

self | a GDataGContactWebsite |
label | the new label for the website, or `NULL`. | [allow-none]

Since: 0.7.0

### gdata_gcontact_website_is_primary ()

    gboolean
    gdata_gcontact_website_is_primary (GDataGContactWebsite *self);

Gets the “is-primary” property.

#### Parameters

self | a GDataGContactWebsite |

#### Returns

`TRUE` if this is the primary website, `FALSE` otherwise

Since: 0.7.0

### gdata_gcontact_website_set_is_primary ()

    void
    gdata_gcontact_website_set_is_primary (GDataGContactWebsite *self,
                                           gboolean is_primary);

Sets the “is-primary” property to `is_primary` .

#### Parameters

self | a GDataGContactWebsite |
is_primary | `TRUE` if this is the primary website, `FALSE` otherwise |

Since: 0.7.0

## Types and Values

### GDATA_GCONTACT_WEBSITE_HOME_PAGE

    #define GDATA_GCONTACT_WEBSITE_HOME_PAGE "home-page"

The relation type URI for a contact's home page.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_BLOG

    #define GDATA_GCONTACT_WEBSITE_BLOG "blog"

The relation type URI for a contact's blog.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_PROFILE

    #define GDATA_GCONTACT_WEBSITE_PROFILE "profile"

The relation type URI for a contact's online profile.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_HOME

    #define GDATA_GCONTACT_WEBSITE_HOME "home"

The relation type URI for a contact's home website.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_WORK

    #define GDATA_GCONTACT_WEBSITE_WORK "work"

The relation type URI for a contact's work website.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_OTHER

    #define GDATA_GCONTACT_WEBSITE_OTHER "other"

The relation type URI for a miscellaneous website of the contact.

For more information, see the gContact specification.

Since: 0.7.0

### GDATA_GCONTACT_WEBSITE_FTP

    #define GDATA_GCONTACT_WEBSITE_FTP "ftp"

The relation type URI for a contact's FTP site.

For more information, see the gContact specification.

Since: 0.7.0

### GDataGContactWebsite

    typedef struct _GDataGContactWebsite GDataGContactWebsite;

All the fields in the GDataGContactWebsite structure are private and should never be accessed directly.

Since: 0.7.0

### GDataGContactWebsiteClass

    typedef struct {
    } GDataGContactWebsiteClass;

All the fields in the GDataGContactWebsiteClass structure are private and should never be accessed directly.

Since: 0.7.0

## Property Details

### The `“is-primary”` property

      “is-primary”               gboolean

Indicates which website out of a group is primary.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: FALSE

Since: 0.7.0

### The `“label”` property

      “label”                    gchar *

A simple string value used to name this website. It allows UIs to display a label such as "Work", "Travel blog", "Personal blog", etc. It is mutually exclusive with “relation-type”.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: NULL

Since: 0.7.0

### The `“relation-type”` property

      “relation-type”            gchar *

A programmatic value that identifies the type of website. Examples are `GDATA_GCONTACT_WEBSITE_HOME_PAGE` or `GDATA_GCONTACT_WEBSITE_FTP`. It is mutually exclusive with “label”.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: NULL

Since: 0.7.0

### The `“uri”` property

      “uri”                      gchar *

The URI of the website.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: NULL

Since: 0.7.0